--- title: "getDiscountList" slug: "platform-discount-getdiscountlist" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/platform-discount-getdiscountlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getDiscountList Available in Classic and VPC View the list of discounts that an account has. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET, POST | /discount/getDiscountList | ### Request headers For headers common to NAVER Cloud Platform, see [Common Ncloud API headers](/docs/en/common-ncpapi#2%ED%97%A4%EB%8D%94%EC%83%9D%EC%84%B1). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `isOrganization` | Boolean | Optional | Whether to view consolidated usage for organization service accountsAvailable to masters onlyAn error is returned if both `isOrganization` and `isPartner` are `true` | | `isPartner` | Boolean | Optional | Whether to view partner accounts - Available to partner representatives only - An error is returned if both `isOrganization` and `isPartner` are `true` | | `memberNoList` | List | Optional | Member ID list - Only available to master or partner representatives | | `discountTypeCode` | String | Optional | Discount type - `PRODUCT` \| `CREDIT` \| `COIN` - `PRODUCT`: service fee discount - `CREDIT`: credit - `COIN`: coin | | `startMonth` | String | Optional | Query start month (yyyyMM) - Up to 3 months viewable - 202401 | | `endMonth` | String | Optional | Query end month (yyyyMM) - Up to 3 months viewable - 202403 | | `isValidDiscount` | Boolean | Optional | Whether to view only valid discounts - `true` \| `false` - `true`: View only valid discounts - `false`: View all discounts | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://billingapi.apigw.ntruss.com/billing/v1/discount/getDiscountList?startMonth=202401&endMonth=202403&isValidDiscount=true&responseFormatType=xml' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {signature}' \ ``` ## Response The following describes the response format. ### Response body See [DiscountList](/docs/en/common-vapidatatype-discountlist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3-%EC%9D%91%EB%8B%B5-%EC%83%81%ED%83%9C-%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` b797****-****-****-****-****6fab4b70 0 success 2 ****** 54 COIN Coin Bank transer (Nonghyup) FXSUM Flat rate 100000 202007 202307 ****** 158 COIN Coin Credit card (TEST) FXSUM Flat rate 10000 202007 202307 ```